This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1287050 - [RFE] Enable building an ISO from a squashfs
[RFE] Enable building an ISO from a squashfs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ovirt-node-ng
  Show dependency treegraph
 
Reported: 2015-12-01 06:57 EST by Fabian Deutsch
Modified: 2015-12-22 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 12:17:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-12-01 06:57:27 EST
Description of problem:
It should be possible to generate an ISO from a given squashfs, this is currently not possible.
Comment 1 Brian Lane 2015-12-22 11:40:02 EST
The squashfs.img/install.img doesn't have enough information to create an iso from it -- it is missing the kernel and the initrd, as well as some of the modules and various other things removed by runtime-cleanup.tmpl
Comment 2 Fabian Deutsch 2015-12-22 12:17:41 EST
Right

What about being able to generate the iso from the artifacts of the --make-pxe-live switch and a regular CentOS/RHEL boot.iso?
This should provide enough informations and the necessary kernel+initrd.

The story behind this feature is to be able to let users retrieve or generate a squashfs (plus APPEND line), take a boot.iso, hand both to lmc and get an installation iso from it.



But - No recapping this story, I think this is already possible today using:
livecd-iso-to-disk, a boot.iso, the squashfs and a small kickstart.

Note You need to log in before you can comment on or make changes to this bug.